Bug 29976 - (Bug 21729 followup) fix holds unit tests
Summary: (Bug 21729 followup) fix holds unit tests
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 21729
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-29 00:48 UTC by Fridolin Somers
Modified: 2022-06-06 20:31 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29976: (Bug 21729 followup) fix holds unit tests (5.18 KB, patch)
2022-01-29 00:53 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29976: (Bug 21729 followup) fix holds unit tests (5.22 KB, patch)
2022-01-29 06:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 29976: (Bug 21729 followup) fix holds unit tests (5.30 KB, patch)
2022-01-31 10:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-01-29 00:48:22 UTC
Bug 21729 added to holds table the column patron_expiration_date.

Currently test suite is failing :
https://jenkins.koha-community.org/view/master/job/Koha_Master_D10/516/testReport/

We must fix where TestBuilder is creating with source Reserve and data expirationdate :
  t/db_dependent/Holds/WaitingReserves.t
  t/db_dependent/Reserves/CancelExpiredReserves.t
Comment 1 Fridolin Somers 2022-01-29 00:53:10 UTC
Created attachment 129962 [details] [review]
Bug 29976: (Bug 21729 followup) fix holds unit tests

Bug 21729 added to holds table the column patron_expiration_date.

Currently test suite is failing :
https://jenkins.koha-community.org/view/master/job/Koha_Master_D10/516/testReport/

We must fix where TestBuilder is creating with source Reserve and data expirationdate :
  t/db_dependent/Holds/WaitingReserves.t
  t/db_dependent/Reserves/CancelExpiredReserves.t

Note that t/db_dependent/Reserves/CancelExpiredReserves.t does not fail
without this patch but surely we prefere change it also.

Test plan :
prove t/db_dependent/Holds/WaitingReserves.t
prove t/db_dependent/Reserves/CancelExpiredReserves.t
Comment 2 David Nind 2022-01-29 06:11:15 UTC
Created attachment 129969 [details] [review]
Bug 29976: (Bug 21729 followup) fix holds unit tests

Bug 21729 added to holds table the column patron_expiration_date.

Currently test suite is failing :
https://jenkins.koha-community.org/view/master/job/Koha_Master_D10/516/testReport/

We must fix where TestBuilder is creating with source Reserve and data expirationdate :
  t/db_dependent/Holds/WaitingReserves.t
  t/db_dependent/Reserves/CancelExpiredReserves.t

Note that t/db_dependent/Reserves/CancelExpiredReserves.t does not fail
without this patch but surely we prefere change it also.

Test plan :
prove t/db_dependent/Holds/WaitingReserves.t
prove t/db_dependent/Reserves/CancelExpiredReserves.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2022-01-31 10:04:30 UTC
Created attachment 129989 [details] [review]
Bug 29976: (Bug 21729 followup) fix holds unit tests

Bug 21729 added to holds table the column patron_expiration_date.

Currently test suite is failing :
https://jenkins.koha-community.org/view/master/job/Koha_Master_D10/516/testReport/

We must fix where TestBuilder is creating with source Reserve and data expirationdate :
  t/db_dependent/Holds/WaitingReserves.t
  t/db_dependent/Reserves/CancelExpiredReserves.t

Note that t/db_dependent/Reserves/CancelExpiredReserves.t does not fail
without this patch but surely we prefere change it also.

Test plan :
prove t/db_dependent/Holds/WaitingReserves.t
prove t/db_dependent/Reserves/CancelExpiredReserves.t

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-02-02 07:41:00 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄